package com.abernal.prizy

class Product {

    String name
    Integer barcode
    String description

    static hasMany = [prices : Price]

    static constraints = {
        name(blank:false)
        barcode(blank:false)
        description(nullable: true)
    }

    public String toString(){
        return barcode + " : " + name
    }
}
