<%@ page import="com.abernal.prizy.Price" %>



<div class="fieldcontain ${hasErrors(bean: priceInstance, field: 'store', 'error')} required">
	<label for="store">
		<g:message code="price.store.label" default="Store" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="store" required="" value="${priceInstance?.store}"/>

</div>

<div class="fieldcontain ${hasErrors(bean: priceInstance, field: 'price', 'error')} required">
	<label for="price">
		<g:message code="price.price.label" default="Price" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="price" type="number" value="${fieldValue(bean: priceInstance, field: 'price')}" required=""/>

</div>

<div class="fieldcontain ${hasErrors(bean: priceInstance, field: 'notes', 'error')} required">
	<label for="notes">
		<g:message code="price.notes.label" default="Notes" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="notes" required="" value="${priceInstance?.notes}"/>

</div>

<div class="fieldcontain ${hasErrors(bean: priceInstance, field: 'product', 'error')} required">
	<label for="product">
		<g:message code="price.productBarcode.label" default="Product Barcode" />
		<span class="required-indicator">*</span>
	</label>
	<g:select id="product" name="product.id" from="${com.abernal.prizy.Product.list()}" optionKey="id" required="" value="${priceInstance?.product?.id}" class="many-to-one"/>

</div>

