import com.abernal.prizy.*

class BootStrap {

    def init = { servletContext ->
        Product firstProduct = new Product(name:"Monitor", barcode:123456, description:"Dell Computers Monitor 23 inches")
        Product secondProduct = new Product(name:"Keyboard", barcode:888888, description:"Apple Keyboard with numeric pad")

        if(!firstProduct.save()){
            log.error "Could not save firstProduct"
            log.error "${firstProduct.errors}"
        }

        if(!secondProduct.save()){
            log.error "Could not save firstProduct"
            log.error "${firstProduct.errors}"
        }

        Price firstPriceForFirstProduct = new Price(store:"La cava", price:100, notes:"This is a nice price", product:firstProduct)
        Price secondPriceForFirstProduct = new Price(store:"Cordoba", price:90, notes:"Products in bad contions", product:firstProduct)
        Price thirdPriceForFirstProduct = new Price(store:"Walmart", price:95, notes:"Only product available in the store", product:firstProduct)

        if(!firstPriceForFirstProduct.save()){
            log.error "Could not save firstPriceForFirstProduct"
            log.error "${firstPriceForFirstProduct.errors}"
        }

        if(!secondPriceForFirstProduct.save()){
            log.error "Could not save secondPriceForFirstProduct"
            log.error "${secondPriceForFirstProduct.errors}"
        }

        if(!thirdPriceForFirstProduct.save()){
            log.error "Could not save thirdPriceForFirstProduc"
            log.error "${thirdPriceForFirstProduct.errors}"
        }

        Price firstPriceForSecondProduct = new Price(store:"Clases", price:100, notes:"This is a nice price", product:secondProduct)
        Price secondPriceForSecondProduct = new Price(store:"Baires", price:90, notes:"Products in bad contions", product:secondProduct)
        Price thirdPriceForSecondProduct = new Price(store:"Olimpia", price:80, notes:"Only product available in the store", product:secondProduct)
        Price fourthPriceForSecondProduct = new Price(store:"Olimpia", price:70, notes:"Only product available in the store", product:secondProduct)
        Price fifthPriceForSecondProduct = new Price(store:"Walmart", price:60, notes:"This is a nice price", product:secondProduct)
        Price sixthPriceForSecondProduct = new Price(store:"Disco", price:50, notes:"Products in bad contions", product:secondProduct)
        Price seventhPriceForSecondProduct = new Price(store:"Fravega", price:40, notes:"Only product available in the store", product:secondProduct)
        Price eightPriceForSecondProduct = new Price(store:"Cordiez", price:30, notes:"Only product available in the store", product:secondProduct)

        if(!firstPriceForSecondProduct.save()){
            log.error "Could not save firstPriceForSecondProduct"
            log.error "${firstPriceForSecondProduct.errors}"
        }

        if(!secondPriceForSecondProduct.save()){
            log.error "Could not save secondPriceForSecondProduct"
            log.error "${secondPriceForSecondProduct.errors}"
        }

        if(!thirdPriceForSecondProduct.save()){
            log.error "Could not save thirdPriceForSecondProduc"
            log.error "${thirdPriceForSecondProduct.errors}"
        }

        if(!fourthPriceForSecondProduct.save()){
            log.error "Could not save fourthPriceForSecondProduc"
            log.error "${fourthPriceForSecondProduct.errors}"
        }

        fifthPriceForSecondProduct.save()
        sixthPriceForSecondProduct.save()
        seventhPriceForSecondProduct.save()
        eightPriceForSecondProduct.save()

    }
    def destroy = {
    }
}
