
<%@ page import="com.abernal.prizy.Product" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'product.label', default: 'Product')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-product" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="show-product" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list product">
			
				<g:if test="${productInstance?.name}">
				<li class="fieldcontain">
					<span id="name-label" class="property-label"><g:message code="product.name.label" default="Name" /></span>
					
						<span class="property-value" aria-labelledby="name-label"><g:fieldValue bean="${productInstance}" field="name"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${productInstance?.barcode}">
				<li class="fieldcontain">
					<span id="barcode-label" class="property-label"><g:message code="product.barcode.label" default="Barcode" /></span>
					
						<span class="property-value" aria-labelledby="barcode-label">${productInstance.barcode}</span>
					
				</li>
				</g:if>
			
				<g:if test="${productInstance?.description}">
				<li class="fieldcontain">
					<span id="description-label" class="property-label"><g:message code="product.description.label" default="Description" /></span>
					
						<span class="property-value" aria-labelledby="description-label"><g:fieldValue bean="${productInstance}" field="description"/></span>
					
				</li>
				</g:if>

				<li class="fieldcontain">
					<span id="description-label" class="property-label"><g:message code="product.averagePrice.label" default="Average Price" /></span>
					<g:if test="${ averagePrice == 0}">
						<span class="property-value" aria-labelledby="description-label">Not enough data to calculate Average price, at least 1 price must be taken</span>
					</g:if>
					<g:else>
						<span class="property-value" aria-labelledby="description-label">${averagePrice}</span>
					</g:else>
				</li>

				<li class="fieldcontain">
					<span id="description-label" class="property-label"><g:message code="product.minimumPrice.label" default="Lowest Price" /></span>
					<g:if test="${ lowestPrice == 0}">
						<span class="property-value" aria-labelledby="description-label">Not enough data to calculate Minimum price, at least 1 price must be taken</span>
					</g:if>
					<g:else>
						<span class="property-value" aria-labelledby="description-label">${lowestPrice}</span>
					</g:else>
				</li>

				<li class="fieldcontain">
					<span id="description-label" class="property-label"><g:message code="product.highestPrice.label" default="Highest Price" /></span>
					<g:if test="${ highestPrice == 0}">
						<span class="property-value" aria-labelledby="description-label">Not enough data to calculate Highest price, at least 1 price must be taken</span>
					</g:if>
					<g:else>
						<span class="property-value" aria-labelledby="description-label">${highestPrice}</span>
					</g:else>
				</li>

				<li class="fieldcontain">
					<span id="description-label" class="property-label"><g:message code="product.idealPrice.label" default="Ideal Price" /></span>
					<g:if test="${ idealPrice == 0}">
						<span class="property-value" aria-labelledby="description-label">Not enough data to calculate Ideal price, at least 5 prices must be taken</span>
					</g:if>
					<g:else>
						<span class="property-value" aria-labelledby="description-label">${idealPrice}</span>
					</g:else>
				</li>

				<li class="fieldcontain">
					<span id="description-label" class="property-label"><g:message code="product.numberOfCounts.label" default="Number of Counts" /></span>

					<span class="property-value" aria-labelledby="description-label">${numberOfPricesCollected}</span>
				</li>

			</ol>
			<g:form url="[resource:productInstance, action:'delete']" method="DELETE">
				<fieldset class="buttons">
					<g:link class="edit" action="edit" resource="${productInstance}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
